using XGame.Framework.Map;
using XGame.Framework.ObjectCollection;

namespace FL.Map
{
    public static partial class MapKeys
    {
        private static MapKey _TestMainMap;
        public static MapKey TestMainMap => _TestMainMap ?? (_TestMainMap = new MapKey("TestMainMap", typeof(TestMainMapView)));
    }
    public class TestMainMapView : MapView
    {
        protected override void AddController(IEntityControllerGroup ctrlGroup)
        {
            ctrlGroup.AddController(new TestMainMapViewCtrl());
            ctrlGroup.AddController(new TestMainMapPopupCtrl());
        }

        protected override IEntityViewModel CtreatViewModel(IObjectCollector collector)
        {
            return new TestMainMapVM(collector);
        }

        protected override void OnDispose()
        {
        }
    }
}
